Package be.fgov.ehealth.timestamping.protocol.v2

# Class TSBagType

java.lang.Object
be.fgov.ehealth.timestamping.protocol.v2.TSBagType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:22+02:00", comments="JAXB RI v4.0.5") public class TSBagType extends Object implements Serializable
contains the tsbag and the oasis time stamp response

Java class for TSBagType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TSBagType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TSBagValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}SignResponse"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TSBagType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignResponse`
  `getSignResponse()`
  Gets the value of the signResponse property.
  `byte[]`
  `getTSBagValue()`
  TimeStampRequest uses base64 to encode the original timestamp.
  `void`
  `setSignResponse(SignResponse value)`
  Sets the value of the signResponse property.
  `void`
  `setTSBagValue(byte[] value)`
  Sets the value of the tsBagValue property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TSBagType

    public TSBagType()

- ## Method Details

  - ### getTSBagValue

    public byte[] getTSBagValue()
    TimeStampRequest uses base64 to encode the original timestamp. This same base64 is returned unmodified, undecoded.
    Returns:
      possible object is byte[]

  - ### setTSBagValue

    public void setTSBagValue(byte[] value)
    Sets the value of the tsBagValue property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getTSBagValue()`

  - ### getSignResponse

    public SignResponse getSignResponse()
    Gets the value of the signResponse property.
    Returns:
      possible object is `SignResponse`

  - ### setSignResponse

    public void setSignResponse(SignResponse value)
    Sets the value of the signResponse property.
    Parameters:
      `value` - allowed object is `SignResponse`